Arch Frame: Difference between revisions

From FreeCAD Documentation
(Created page with "<translate> {{GuiCommand|Name=Arch Frame|Workbenches=Arch|MenuLocation=Arch -> Frame|Shortcut=F R}} ==Description== The Frame tool is used to build all kinds...")
 
(Marked this version for translation)
Line 1: Line 1:
<translate>
<translate>
<!--T:1-->
{{GuiCommand|Name=Arch Frame|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Frame|Shortcut=F R}}
{{GuiCommand|Name=Arch Frame|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Frame|Shortcut=F R}}


==Description==
==Description== <!--T:2-->


<!--T:3-->
The Frame tool is used to build all kinds of frame objects based on a profile and a layout. The profile is extruded along the edges of the layout, which can be any 2D object such as a [[Sketcher Module|sketch]], or a [[Draft Module|draft object]]. It is especially useful to create railings, or frame walls. Frame objects can then easily be turned into [[Arch Wall|wall]] or [[Arch Structure|structure]] objects.
The Frame tool is used to build all kinds of frame objects based on a profile and a layout. The profile is extruded along the edges of the layout, which can be any 2D object such as a [[Sketcher Module|sketch]], or a [[Draft Module|draft object]]. It is especially useful to create railings, or frame walls. Frame objects can then easily be turned into [[Arch Wall|wall]] or [[Arch Structure|structure]] objects.


Line 10: Line 12:
<translate>
<translate>


<!--T:4-->
In the above image, a [[Draft Line|line]] has been turned into an [[Draft Array|array]], and a frame object has been made using the array as layout, and a [[Draft Circle|circle]] as profile.
In the above image, a [[Draft Line|line]] has been turned into an [[Draft Array|array]], and a frame object has been made using the array as layout, and a [[Draft Circle|circle]] as profile.


==How to use==
==How to use== <!--T:5-->


<!--T:6-->
# Create a layout object and a profile object, for example with the [[Draft Workbench]] or the [[Sketcher Workbench]]
# Create a layout object and a profile object, for example with the [[Draft Workbench]] or the [[Sketcher Workbench]]
# Select the layout object, then, with {{KEY|CTRL}} pressed, select the profile object
# Select the layout object, then, with {{KEY|CTRL}} pressed, select the profile object
# Press the {{KEY|[[Image:Arch Frame.png|16px]] [[Arch Frame]]}} button, or press {{KEY|F}} then {{KEY|R}} keys
# Press the {{KEY|[[Image:Arch Frame.png|16px]] [[Arch Frame]]}} button, or press {{KEY|F}} then {{KEY|R}} keys


==Options==
==Options== <!--T:7-->


<!--T:8-->
* The frame object can be placed at a certain distance from the layout object, by setting its Offset property
* The frame object can be placed at a certain distance from the layout object, by setting its Offset property
* The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.
* The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.


==Properties==
==Properties== <!--T:9-->


<!--T:10-->
* {{PropertyData|Base}}: The layout this frame is based on.
* {{PropertyData|Base}}: The layout this frame is based on.
* {{PropertyData|Profile}}: The profile this frame is based on.
* {{PropertyData|Profile}}: The profile this frame is based on.
Line 31: Line 37:
* {{PropertyData|Rotation}}: The rotation of the profile around its extrusion axis.
* {{PropertyData|Rotation}}: The rotation of the profile around its extrusion axis.


==Scripting==
==Scripting== <!--T:11-->


<!--T:12-->
The Wall tool can by used in [[macros]] and from the python console by using the following function:
The Wall tool can by used in [[macros]] and from the python console by using the following function:


Line 41: Line 48:
<translate>
<translate>


<!--T:13-->
* Creates a frame object from a base sketch (or any other object containing wires) and a profile object (an extrudable 2D object containing faces or closed wires)
* Creates a frame object from a base sketch (or any other object containing wires) and a profile object (an extrudable 2D object containing faces or closed wires)
* Returns the new frame object, or None if the operation failed.
* Returns the new frame object, or None if the operation failed.


<!--T:14-->
Example:
Example:



Revision as of 17:14, 22 February 2014

Arch Frame

Menu location
Arch -> Frame
Workbenches
Arch
Default shortcut
F R
Introduced in version
-
See also
None

Description

The Frame tool is used to build all kinds of frame objects based on a profile and a layout. The profile is extruded along the edges of the layout, which can be any 2D object such as a sketch, or a draft object. It is especially useful to create railings, or frame walls. Frame objects can then easily be turned into wall or structure objects.

In the above image, a line has been turned into an array, and a frame object has been made using the array as layout, and a circle as profile.

How to use

  1. Create a layout object and a profile object, for example with the Draft Workbench or the Sketcher Workbench
  2. Select the layout object, then, with CTRL pressed, select the profile object
  3. Press the Arch Frame button, or press F then R keys

Options

  • The frame object can be placed at a certain distance from the layout object, by setting its Offset property
  • The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.

Properties

  • DataBase: The layout this frame is based on.
  • DataProfile: The profile this frame is based on.
  • DataAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
  • DataOffset: An optional distance between the layout object and the frame object.
  • DataRotation: The rotation of the profile around its extrusion axis.

Scripting

The Wall tool can by used in macros and from the python console by using the following function:

 makeFrame ( layout,profile )
  • Creates a frame object from a base sketch (or any other object containing wires) and a profile object (an extrudable 2D object containing faces or closed wires)
  • Returns the new frame object, or None if the operation failed.

Example:

 import Draft, Arch
 layout = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
 profile = Draft.makeCircle(.2)
 Arch.makeFrame(layout,profile)